Loading...
Searching...
No Matches
Opm::EclThermalLawManager< Scalar, FluidSystem > Class Template Reference

Provides an simple way to create and manage the thermal law objects for a complete ECL deck. More...

`#include <EclThermalLawManager.hpp>`

## Public Types

using | SolidEnergyLaw = EclSolidEnergyLawMultiplexer<Scalar, FluidSystem>
using | SolidEnergyLawParams = typename SolidEnergyLaw::Params
using | HeatcrLawParams = typename SolidEnergyLawParams::HeatcrLawParams
using | SpecrockLawParams = typename SolidEnergyLawParams::SpecrockLawParams
using | ThermalConductionLaw = EclThermalConductionLawMultiplexer<Scalar, FluidSystem>
using | ThermalConductionLawParams = typename ThermalConductionLaw::Params

## Public Member Functions

void | initParamsForElements (const EclipseState &eclState, size_t numElems, const std::function< std::vector< double >(const FieldPropsManager &, const std::string &)> &fieldPropDoubleOnLeafAssigner, const std::function< std::vector< unsigned int >(const FieldPropsManager &, const std::string &, bool)> &fieldPropIntOnLeafAssigner)
const SolidEnergyLawParams & | solidEnergyLawParams (unsigned elemIdx) const
const ThermalConductionLawParams & | thermalConductionLawParams (unsigned elemIdx) const

## Detailed Description

template<class Scalar, class FluidSystem>
class Opm::EclThermalLawManager< Scalar, FluidSystem >

Provides an simple way to create and manage the thermal law objects for a complete ECL deck.

The documentation for this class was generated from the following files:

- opm/material/thermal/EclThermalLawManager.hpp
- opm/material/thermal/EclThermalLawManager.cpp